FileControllerCheckIn Method (CheckInIdsOptions, NullableGuid) |
POST /File/CheckIn
Checks in files with the specified IDs and comments.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("CheckIn")]
public IActionResult CheckIn(
[FromBodyAttribute] CheckInIdsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("CheckIn")>
Public Function CheckIn (
<FromBodyAttribute> options As CheckInIdsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"CheckIn")]
IActionResult^ CheckIn(
[FromBodyAttribute] CheckInIdsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("CheckIn")>]
member CheckIn :
[<FromBodyAttribute>] options : CheckInIdsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsCheckInIdsOptions
The options. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
CheckInResultData, or a status code indicating the reason for failure.
See Also